Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.dialer
Class MismatchChecker

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.dialer.MismatchChecker

All Implemented Interfaces:
  AgentGroupListener

    public class MismatchChecker

extends Object
implements AgentGroupListener

This agent-group listener checks that the number of free agents in the test and target sets for a given dialer never fall outside the user-defined thresholds while dialing is in-progress. This listener is constructed using a dialer using an instance of `ThresholdDialerPolicy` as a dialer's policy. It should then be registered with all agent groups in the target sets.

Each time a service begins (and the number of free agents is reduced), the method `checkThresh()` is called, and checks for the thresholds. If the number of free agents becomes smaller than the given threshold, in-progress dialing is stopped. If the policy is not an instance of `ThresholdDialerPolicy`, this listener does nothing.

Constructor Summary
`MismatchChecker(Dialer dialer)` Constructs a new mismatch checker for the dialer `dialer`.

Method Summary
`void` | `agentGroupChange(AgentGroup group)` This method is called when the number of available or free agents in the agent group `group` is changed.
`void` | `beginService(EndServiceEvent ev)` This method is called after the service of a contact by an agent was started.
`void` | `checkThresh()` Checks the thresholds on the number of free agents in the test and target sets for the dialer's policy of the associated dialer.
`void` | `endContact(EndServiceEvent ev)` This method is called after the communication of a contact with an agent was terminated, with `ev` containing all the information.
`void` | `endService(EndServiceEvent ev)` This method is called after the service of a contact by an agent was terminated.
`void` | `init(AgentGroup group)` This method is called after the `AgentGroup.init()` method is called for the agent group `group`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MismatchChecker

    public MismatchChecker(Dialer dialer)

  Constructs a new mismatch checker for the dialer `dialer`.

  Parameters:
    `dialer` - the dialer for which mismatches are checked.

Method Detail

### agentGroupChange

    public void agentGroupChange(AgentGroup group)

  Description copied from interface: `AgentGroupListener`
  This method is called when the number of available or free agents in the agent group `group` is changed. This happens when the `AgentGroup.setNumAgents(int)` method is called, or when the efficiency is changed. This is also called when `DetailedAgentGroup.addAgent(umontreal.iro.lecuyer.contactcenters.server.Agent)` or `DetailedAgentGroup.removeAgent(umontreal.iro.lecuyer.contactcenters.server.Agent)` are used.

  Specified by:
    `agentGroupChange` in interface `AgentGroupListener`
  Parameters:
    `group` - the agent group being modified.

### beginService

    public void beginService(EndServiceEvent ev)

  Description copied from interface: `AgentGroupListener`
  This method is called after the service of a contact by an agent was started. The end-service event `ev` holds all the available information about the service.

  Specified by:
    `beginService` in interface `AgentGroupListener`
  Parameters:
    `ev` - the end-service event associated with the contact being served.

### endContact

    public void endContact(EndServiceEvent ev)

  Description copied from interface: `AgentGroupListener`
  This method is called after the communication of a contact with an agent was terminated, with `ev` containing all the information.

  Specified by:
    `endContact` in interface `AgentGroupListener`
  Parameters:
    `ev` - the end-service event associated with the served contact.

### endService

    public void endService(EndServiceEvent ev)

  Description copied from interface: `AgentGroupListener`
  This method is called after the service of a contact by an agent was terminated. The service includes the communication as well as the after-contact work.

  Specified by:
    `endService` in interface `AgentGroupListener`
  Parameters:
    `ev` - the end-service event associated with the served contact.

### init

    public void init(AgentGroup group)

  Description copied from interface: `AgentGroupListener`
  This method is called after the `AgentGroup.init()` method is called for the agent group `group`.

  Specified by:
    `init` in interface `AgentGroupListener`
  Parameters:
    `group` - the agent group being initialized.

### checkThresh

    public void checkThresh()

  Checks the thresholds on the number of free agents in the test and target sets for the dialer's policy of the associated dialer.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.